JUnitReportsFactory (Grails 3.1.4)
Date: 2016-03-16

Package: org.grails.test.report.junit

## [Java] Class JUnitReportsFactory

- org.grails.test.report.junit.JUnitReportsFactory

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `PLAIN` |
    `static java.lang.String` | `XML` |
    `protected java.util.List<java.lang.String>` | `formats` |
    `protected java.lang.String` | `phaseName` |
    `protected java.io.File` | `reportsDir` |
    `protected java.lang.String` | `typeName` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JUnitReportsFactory (java.lang.String phaseName, java.lang.String typeName, java.io.File reportsDir, java.util.List<java.lang.String> formats)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static JUnitReportsFactory` | `createFromBuildBinding(groovy.lang.Binding buildBinding)`
    `protected org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter` | `createReport(java.lang.String format, java.lang.String name)`
    `JUnitReports` | `createReports(java.lang.String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String PLAIN

    - #### public static final java.lang.String XML

    - #### protected final java.util.List<java.lang.String> formats

    - #### protected final java.lang.String phaseName

    - #### protected final java.io.File reportsDir

    - #### protected final java.lang.String typeName

  - ### Constructor Detail

    - #### public JUnitReportsFactory(java.lang.String phaseName, java.lang.String typeName, java.io.File reportsDir, java.util.List<java.lang.String> formats)

  - ### Method Detail

    - #### @java.lang.SuppressWarnings("unchecked") public static JUnitReportsFactory createFromBuildBinding(groovy.lang.Binding buildBinding)

    - #### protected org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter createReport(java.lang.String format, java.lang.String name)

    - #### public JUnitReports createReports(java.lang.String name)